# Documentum

Documentum is a small command-line utility and Ruby library for generating PDF
documents from markdown rendered into a HAML template and applying
custom stylesheets.

## Installation

Add this line to your application"s Gemfile:

    gem "documentum"

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install documentum

## Usage

Documentum can be used either as a command-line utility or as a library.

### Library Use

```ruby
markdown_files = ["/path/to/markdown1.md", "/path/to/markdown2.md"]
template_file = "/path/to/template.haml"
stylesheet_files = ["/path/to/styles1.css", "/path/to/styles2.css"]
output_dir = "/path/to/output/dir"

Documentum.generate(markdown_files, template_file, output_dir,
  stylesheet_filenames: stylesheet_files)
```

### Command-line Use

[ Comming Soon... ]

## Contributing

1. Fork it ( https://github.com/[my-github-username]/documentum/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am "Add some feature"`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
