# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "documentum/version"

Gem::Specification.new do |spec|
  spec.name          = "documentum"
  spec.version       = Documentum::VERSION
  spec.authors       = ["JC Grubbs"]
  spec.email         = ["jc@devmynd.com"]
  spec.summary       = %q{Command line utility for generating PDF documents from markdown with custom stylesheets and haml templates.}
  spec.description   = %q{Command line utility for generating PDF documents from markdown with custom stylesheets and haml templates.}
  spec.homepage      = "http://github.com/thegrubbsian/documentum"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "activesupport", ">= 4.0.0"
  spec.add_dependency "haml", "4.0.5"
  spec.add_dependency "pdfkit", "0.6.2"
  spec.add_dependency "pry"
  spec.add_dependency "redcarpet", "3.1.2"
  spec.add_dependency "wkhtmltopdf-binary", "0.9.9.1"

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
end
